summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-04-12 03:47:40 +0000
committerJim Meyering <jim@meyering.net>1999-04-12 03:47:40 +0000
commita36f86a13e4683d0f203efcdee7a5c55a7f6a46a (patch)
tree02b0107faa73e2f30ed1f3323c935b5efbfcd823
parent924b7e22918f9b3ab12542b77c91cb08338ce1a2 (diff)
downloadcoreutils-a36f86a13e4683d0f203efcdee7a5c55a7f6a46a.tar.xz
.
-rw-r--r--tests/tail-2/Makefile.am12
-rwxr-xr-xtests/tail-2/infloop-129
2 files changed, 41 insertions, 0 deletions
diff --git a/tests/tail-2/Makefile.am b/tests/tail-2/Makefile.am
new file mode 100644
index 000000000..aeb375694
--- /dev/null
+++ b/tests/tail-2/Makefile.am
@@ -0,0 +1,12 @@
+## Process this file with automake to produce Makefile.in -*-Makefile-*-.
+
+EXTRA_DIST = $(TESTS)
+
+TESTS_ENVIRONMENT = \
+ top_srcdir=$(top_srcdir) \
+ srcdir=$(srcdir) \
+ PERL="@PERL@" \
+ PATH=../../src:$$PATH \
+ PROG=tail
+
+TESTS = infloop-1
diff --git a/tests/tail-2/infloop-1 b/tests/tail-2/infloop-1
new file mode 100755
index 000000000..b7db992fc
--- /dev/null
+++ b/tests/tail-2/infloop-1
@@ -0,0 +1,29 @@
+#!/bin/sh
+# This test would fail with tail from pre-1.22i textutils.
+
+tmp=t1-tail.$$
+
+if test "$VERBOSE" = yes; then
+ set -x
+ tail --version
+fi
+
+test_failure=0
+mkdir $tmp || test_failure=1
+cd $tmp || test_failure=1
+
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+yes > t &
+yes_pid=$!
+while :; do
+ test -s t && break
+done
+tail -1 t &
+tail_pid=$!
+kill $yes_pid
+sleep 1
+kill $tail_pid